/*
  
Macro Scripts File
Developed:  	18 Feb 2011
Version:  		3ds MAX 9 SP1
Script Name:	MatLoader
Description: 	Loads all materials used in the scene into the material editor
Author:			Giuliano
Email:			g.garau@gmail.com
www:			    http://www.papigiulio.net

Disclaimer:
Use this script at your own risk.
Any damage caused by this script is not the responsibility of the author.

*/
--***********************************************************************************************
-- MODIFY THIS AT YOUR OWN RISK


macroScript MatLoader
category:		"_PapiGiulio"
buttonText:	"PapiTools"
Tooltip:			"PapiTools - MatLoader - Load all materials used in scene into slots"
icon:#("materialloader",1)
(
	usedMtls = #()
	for m in scenematerials do
		(
		append usedMtls m
		)
	defaultsFile = MeditUtilities.getDefaultsFile()
	defaultMtl = StandardMaterial
	global _meditMaterialsBeforeReset = #()
	for i in 1 to meditMaterials.count do
		(	
		if i <= usedMtls.count then
		meditMaterials[i] = usedMtls[i]
		else
		meditMaterials[i] = defaultMtl name:(defaultMtl.localizedName + #'_' as string + i as string)
		)	
)




